#pragma once

#include "afxwin.h"
#include "ColorPickerCB.h"
#include "afxcmn.h"

#define TB_COLORTEXT		WM_USER + 101
#define TB_COLORBACK		WM_USER + 102

#define TB_OUTLINE			WM_USER + 201
#define TB_OUTLINEWIDTH		WM_USER + 202
#define TB_OUTLINEMODE		WM_USER + 203

#define TB_SHADOW			WM_USER + 301
#define TB_SHADOWOFFSET		WM_USER + 302
#define TB_SHADOWCOLOR		WM_USER + 303

// CDlgEffects ȭ Դϴ.

class CDlgEffects : public CDialog
{
	DECLARE_DYNAMIC(CDlgEffects)

public:
	CDlgEffects(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CDlgEffects();

// ȭ  Դϴ.
	enum { IDD = IDD_EFFECTS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()

private:
	CColorPickerCB m_ctrlCBColorText;
	CColorPickerCB m_ctrlCBColorBack;
	BOOL m_bOutline;
	CEdit m_editOutlineWidth;
	int m_nOutlineWidth;
	BOOL m_bShadow;
	CEdit m_editShadowOffset;
	int m_nShadowOffset;
	CColorPickerCB m_ctrlCBColorShadow;
	CStatic m_staticMainGroup;
	int m_nOutlineMode;

private:
	COLORREF m_colorText;
	COLORREF m_colorBack;
	COLORREF m_colorShadow;

public:
	virtual BOOL OnInitDialog();

private:
	void InitControls();
	void EnableControls();

public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnBnClickedCheckOutline();
	afx_msg void OnBnClickedCheckShadow();
	CButton m_checkOutline;
	CButton m_checkShadow;
	CSpinButtonCtrl m_spinOutlineWidth;
	CSpinButtonCtrl m_spinShadowOffset;
	afx_msg void OnCbnSelchangeCbColorText();
	afx_msg void OnCbnSelchangeCbColorBack();
	afx_msg void OnEnChangeEditOutlinewidth();
	afx_msg void OnEnChangeEditShadowoffset();
	afx_msg void OnCbnSelchangeCbColorShadow();
	CComboBox m_cbOutlineMode;
	afx_msg void OnCbnSelchangeCbOutlinemode();
};
