// Test_TextEffectsDlg.h :  
//

#pragma once

#include "DlgEffects.h"

enum OUTLINEMODE
{
	PIXELMOVE = 0,
	GDIPATH,
	GDIPLUSPATH,
};

// CTest_TextEffectsDlg ȭ 
class CTest_TextEffectsDlg : public CDialog
{
// Դϴ.
public:
	CTest_TextEffectsDlg(CWnd* pParent = NULL);	// ǥ Դϴ.

// ȭ  Դϴ.
	enum { IDD = IDD_TEST_TEXTEFFECTS_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV Դϴ.


// Դϴ.
protected:
	HICON m_hIcon;

	//  ޽  Լ
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	afx_msg LRESULT OnColorText(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnColorBack(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnOutline(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnOutlineWidth(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnOutlineMode(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnShadow(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnShadowOffset(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnShadowColor(WPARAM wParam, LPARAM lParam);

private:
	void InitControls();
	void LayoutControls();
	void Display(CDC* pDC);
	void DisplayShadow(CDC* pDC);
	void DisplayOutline(CDC* pDC);
	void DisplayOutline_PixelMove(CDC* pDC);
	void DisplayOutline_GDIPath(CDC* pDC);
	void DisplayOutline_GDIPlusPath(CDC* pDC);

private:
	CDlgEffects m_dlgEffects;
	CString m_strText;
	CPoint m_ptTextOut;
	COLORREF m_colorText;
	COLORREF m_colorBack;
	BOOL m_bOutline;
	int m_nOutlineWidth;
	OUTLINEMODE m_OutlineMode;
	BOOL m_bShadow;
	int m_nShadowOffset;
	COLORREF m_colorShadow;
	CString m_strFamilyName;
	double m_dFontPoint;

public:
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
};
